Package org.snpeff.nextProt

# Class LocationTargetIsoform

java.lang.Object
org.snpeff.nextProt.Location
org.snpeff.nextProt.LocationTargetIsoform

Direct Known Subclasses:
  `LocationTargetIsoformInteraction`

public class LocationTargetIsoform extends Location
A location respect to an isoform

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`accession`

### Fields inherited from class org.snpeff.nextProt.Location

`begin, end, type`

## Constructor Summary

Constructors
Constructor
Description
`LocationTargetIsoform(String accession)`
`LocationTargetIsoform(String accession, int begin, int end)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isIsoform()`
`String`
`toString()`

### Methods inherited from class org.snpeff.nextProt.Location

`isInteraction, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### accession

public String accession

## Constructor Details

### LocationTargetIsoform

public LocationTargetIsoform(String accession)

### LocationTargetIsoform

public LocationTargetIsoform(String accession, int begin, int end)

## Method Details

### isIsoform

public boolean isIsoform()

Overrides:
  `isIsoform` in class `Location`

### toString

public String toString()

Overrides:
  `toString` in class `Location`